<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Quản lý đơn hàng</title>
	
	<!-- Google Font: Source Sans Pro -->
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
	
	<!-- Font-Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

	<!-- jQuery -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
	
	<!-- Bootstrap 4 -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
	
	<!-- DataTables -->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
	<script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>

</head>
<body class="hold-transition sidebar-mini">
	<!-- Site wrapper -->
	<div class="wrapper">			
			<!-- Content Wrapper. Contains page content -->
			<div class="content-wrapper">				
				<!-- Main content -->
				<section class="content">
					<div class="container">
						<div class="text-center mt-2 mb-2">
							<h2>DANH SÁCH ĐƠN HÀNG</h2>
						</div>
						
						<!-- Modal Create -->
						<div id="create-modal" class="modal fade" tabindex="-1">
							<div class="modal-dialog">
								<div class="modal-content">
									<div class="modal-header">
										<h5 class="modal-title" id="h5-modal-title">Order Create</h5>
										<button class="close" data-dismiss="modal">&times;</button>
									</div><!-- /.modal-header -->
									<div class="modal-body">
										<form id="create-form">
											<div class="row form-group">
												<div class="col-sm-3">
													<label>kichCo</label>
												</div>
												<div class="col">
													<select class="form-control create-required" id="create-kichCo">
														<option value="" selected disabled>-Chọn kích cỡ-</option>
														<option value="S">S</option>
														<option value="M">M</option>
														<option value="L">L</option>
													</select>
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>duongKinh</label>
												</div>
												<div class="col">
													<input type="text" class="form-control" id="create-duongKinh" readonly>
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>suon</label>
												</div>
												<div class="col">
													<input type="text" class="form-control" id="create-suon" readonly>
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>salad</label>
												</div>
												<div class="col">
													<input type="text" class="form-control" id="create-salad" readonly>
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>thanhTien</label>
												</div>
												<div class="col">
													<input type="text" class="form-control" id="create-thanhTien" readonly>
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>soLuongNuoc</label>
												</div>
												<div class="col">
													<input type="text" class="form-control" id="create-soLuongNuoc" readonly>
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>loaiPizza</label>
												</div>
												<div class="col">
													<select class="form-control create-required" id="create-loaiPizza">
														<option value="" selected disabled>-Chọn loại pizza-</option>
														<option value="Seafood">Hải sản</option>
														<option value="Hawaii">Hawaii</option>
														<option value="Bacon">Thịt hun khói</option>
													</select>
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>idVourcher</label>
												</div>
												<div class="col">
													<input type="number" class="form-control" id="create-idVourcher">
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>idLoaiNuocUong</label>
												</div>
												<div class="col">
													<select class="form-control create-required" id="create-idLoaiNuocUong">
														<option value="" selected disabled>-Chọn loại nước uống-</option>
													</select>
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>hoTen</label>
												</div>
												<div class="col">
													<input type="text" class="form-control" id="create-hoTen">
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>email</label>
												</div>
												<div class="col">
													<input type="email" class="form-control" id="create-email">
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>soDienThoai</label>
												</div>
												<div class="col">
													<input type="text" class="form-control create-required" id="create-soDienThoai">
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>diaChi</label>
												</div>
												<div class="col">
													<input type="text" class="form-control create-required" id="create-diaChi">
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>loiNhan</label>
												</div>
												<div class="col">
													<input type="text" class="form-control" id="create-loiNhan">
												</div>
											</div><!-- /.row -->
											<div class="row form-group">
												<div class="col-sm-3">
													<label>trangThai</label>
												</div>
												<div class="col">
													<select class="form-control create-required" id="create-trangThai">
														<option value="open" selected>Open</option>
														<option value="cancel">Đã hủy</option>
														<option value="confirmed">Đã xác nhận</option>
													</select>
												</div>
											</div><!-- /.row -->
											<div class="modal-footer">
												<button class="btn btn-primary" id="btn-create-confirm" disabled>Confirm</button>
												<button class="btn btn-secondary" id="btn-create-cancel">Cancel</button>
											</div><!-- /.modal-footer -->
										</form><!-- /#create-form -->
									</div><!-- /.modal-body -->
								</div><!-- /.modal-content -->
							</div><!-- /.modal-dialog -->
						</div><!-- /#create-modal -->
						
						<!-- Modal Detail -->
						<div id="detail-modal" class="modal fade" tabindex="-1">
							<div class="modal-dialog">
								<div class="modal-content">
									<div class="modal-header">
										<h5 class="modal-title" id="h5-modal-title">Order Status</h5>
										<button class="close" data-dismiss="modal">&times;</button>
									</div>
									
									<div class="modal-body">
										<div class="row form-group">
											<div class="col-sm-3">
												<label>trangThai</label>
											</div>
											<div class="col">
												<select class="form-control" id="detail-trangThai">
													<option value="open" selected>Open</option>
													<option value="cancel">Đã hủy</option>
													<option value="confirmed">Đã xác nhận</option>
												</select>
											</div>
										</div>
										<div class="custom-control custom-switch mb-3">
											<input data-toggle="collapse" data-target="#detail-form" type="checkbox" class="custom-control-input" id="customSwitch1">
											<label class="custom-control-label" for="customSwitch1">Details</label>
										</div>
										<form id="detail-form" class="collapse">
											
											<div class="row form-group">
												<div class="col-sm-3">
													<label>id</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-id">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>orderCode</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-orderCode">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>kichCo</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-kichCo">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>duongKinh</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-duongKinh">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>suon</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-suon">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>salad</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-salad">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>loaiPizza</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-loaiPizza">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>idVourcher</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-idVourcher">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>thanhTien</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-thanhTien">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>giamGia</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-giamGia">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>idLoaiNuocUong</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-idLoaiNuocUong">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>soLuongNuoc</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-soLuongNuoc">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>hoTen</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-hoTen">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>email</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-email">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>soDienThoai</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-soDienThoai">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>diaChi</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-diaChi">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>loiNhan</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-loiNhan">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>ngayTao</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-ngayTao">
												</div>
											</div><div class="row form-group">
												<div class="col-sm-3">
													<label>ngayCapNhat</label>
												</div>
												<div class="col">
													<input readonly type="text" class="form-control" id="detail-ngayCapNhat">
												</div>
											</div>
										</form>
									</div>
									<div class="modal-footer">
										<button class="btn btn-primary" id="btn-update-confirm">Confirm</button>
										<button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
									</div>
								</div>
							</div>
						</div><!-- /#detail-modal -->
						
						<!-- Modal order delete-->
						<div class="modal fade" id="delete-modal" tabindex="-1">
							<div class="modal-dialog modal-sm">
								<div class="modal-content">
									<div class="modal-header">
										<h5 class="modal-title">Order delete confirmation</h5>
										<button type="button" class="close" data-dismiss="modal" aria-label="Close">
											<span aria-hidden="true">&times;</span>
										</button>
									</div><!-- /.modal-header -->
									<div class="modal-body">
										<div class="row">
											<div class="col">
												<p>Chắc chắn xoá order này?</p>
											</div>
										</div>
										
									</div><!-- /.modal-body -->
									<div class="modal-footer">
										<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
										<button type="button" class="btn btn-danger" id="btn-delete-confirm">Confirm</button>
									</div><!-- /.modal-footer -->
								</div><!-- /.modal-content-->
							</div><!-- /.modal-dialog -->
						</div><!-- /.modal -->
						
						<div class="container">
							<div class="row ">
								<div class="col-sm-3 form-group">
									<label>Trạng thái</label>
									<select id="select-status" class="form-control">
										<option value="">-any-</option>
										<option value="open">open</option>
										<option value="confirmed">confirmed</option>
										<option value="cancel">cancel</option>
									</select>
								</div>
								<div class="col-sm-3 form-group">
									<label >Loại Pizza</label>
									<select id="select-pizza" class="form-control">
										<option value="">-any-</option>
										<option value="hawaii">hawaii</option>
										<option value="bacon">bacon</option>
										<option value="seafood">seafood</option>
										<option value="chicken">chicken</option>
										<option value="ocean">ocean</option>
									</select>
								</div>
								
								<div class="col-sm-3 d-flex align-items-end" >
									<button id="btn-filter-order" class="btn btn-info align-self-center mt-3"><i class="fas fa-filter"></i> Lọc dữ liệu</button>
								</div>
							</div>
							<div class="row mt-3 mb-3">
								<div class="col-sm-4">
									<button type="button" id="btn-create-order" class="btn btn-success"><i class="fas fa-plus"></i> Thêm mới</button>
								</div>
							</div>
							<table class="table table-bordered table-striped table-hover" id="order-table">
								<thead>
									<tr>
										<th>Order ID</th>
										<th>Kích cỡ</th>
										<th width="20%">Loại Pizza</th>
										<th>Nước uống</th>
										<th>Thành tiền</th>
										<th width="20%">Họ và tên</th>
										<th>Số điện thoại</th>
										<th>Trạng thái</th>
										<th width="10%">Chi tiết</th>
									</tr>
								</thead>
							</table>
						</div>
					</div><!-- /.container -->
				</section><!-- /.content -->
			</div><!-- /.content-wrapper -->
			
			<footer class="main-footer">
				<div class="float-right d-none d-sm-block">
					<b>Version</b> 3.2.0
				</div>
				<strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
			</footer><!-- /.main-footer -->
			
		</div><!-- ./wrapper -->
		
		
		<!-- Page specific script -->
		<script>
			"use strict";
			/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
			
			// mảng orders
			var gOrders = [];
			// biến lưu trữ id của order được xoá
			var gOrderToDeleteId = "";
			
			// các hằng số giá trị cột của table
			const gORDER_COLUMN = ["orderCode","kichCo","loaiPizza","idLoaiNuocUong","thanhTien","hoTen","soDienThoai","trangThai","action"]
			const gCOL_ORDER_CODE = 0;
			const gCOL_SIZE = 1;
			const gCOL_PIZZA = 2;
			const gCOL_DRINK = 3;
			const gCOL_TOTAL = 4;
			const gCOL_NAME = 5;
			const gCOL_PHONE = 6;
			const gCOL_STATUS = 7;
			const gCOL_DETAIL = 8;
			
			// khởi tạo datatable
			var gOrderTable = $("#order-table").DataTable({
				columns: [
				{ data: gORDER_COLUMN[0]},
				{ data: gORDER_COLUMN[1]},
				{ data: gORDER_COLUMN[2]},
				{ data: gORDER_COLUMN[3]},
				{ data: gORDER_COLUMN[4]},
				{ data: gORDER_COLUMN[5]},
				{ data: gORDER_COLUMN[6]},
				{ data: gORDER_COLUMN[7]},
				{ data: gORDER_COLUMN[8]},
				],
				columnDefs: [
				{ target: gCOL_DETAIL,
					defaultContent: `
					<i type="button" class="fas fa-edit fa-lg text-primary order-detail"></i>
					<i type="button" class="fas fa-trash fa-lg text-danger order-delete"></i>
					`}
					],
				}) 
				
				/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
				$(function() {
					onPageLoading();
					$("#order-table").on("click", ".order-detail" ,function() {
						onBtnDetailClick($(this));
					});
					$("#order-table").on("click", ".order-delete" ,function() {
						onBtnDeleteClick($(this));
					});
					$(".create-required").blur( onCreateRequiredBlur )
					$("#create-email").blur( onCreateEmailBlur )
					$("#create-kichCo").change( onSelectSizeChange );
					$("#btn-create-order").click( onBtnCreateOrderClick );
					$("#btn-create-confirm").click( onBtnCreateConfirmClick );
					$("#btn-create-cancel").click( onBtnCreateCancelClick );
					$("#btn-update-confirm").click(onBtnConfirmUpdateOrderClick);
					$("#btn-delete-confirm").click(onBtnConfirmDeleteOrderClick);
					$("#btn-filter-order").click(onBtnFilterOrderClick);
				})
				/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */  
				// hàm xử lý sự kiện load trang
				function onPageLoading() {
					loadAllOrdersToTable();
					loadDrinksToDrinkSelect();
				}
				// hàm xử lý sự kiện filter order
				function onBtnFilterOrderClick() {
					// khai báo đối tượng chứa dữ liệu filter
					var vFilterFormData = {
						trangThai: "",
						loaiPizza: ""
					}; 
					// B1: thu thập dữ liệu để filter
					getFilterFormData(vFilterFormData);
					// B2: validate (ko cần)
					// B3: xử  lý filter
					filterOrders(vFilterFormData);
				}
				// hàm xử lý sự kiện ấn nút xác định xoá đơn hàng
				function onBtnConfirmDeleteOrderClick() {
					deleteOrder(gOrderToDeleteId);
				}
				
				// hàm xử lý sự kiện ấn nút thêm mới đơn hàng
				function onBtnCreateOrderClick() {
					$("#create-modal").modal("show");
				}
				// hàm xử lý mờ vùng cần điền ở create order modal
				function onCreateRequiredBlur() {
					var vRequiredValues = [];
					$(".create-required").each(function() {
						var bCurrentVal = $(this).val() != null ? $(this).val().trim() : "";
						vRequiredValues.push(bCurrentVal);
					})
					if (vRequiredValues.includes("") == false) {
						$("#btn-create-confirm").prop("disabled", false);
					} else {
						$("#btn-create-confirm").prop("disabled", true);
					}
				}
				// hàm xử lý mờ vùng email ở create order modal
				function onCreateEmailBlur() {
					var vEmail = $("#create-email").val().trim();
					if ( isEmailValid(vEmail) == true || vEmail == null || vEmail == "") {
						onCreateRequiredBlur()
					} else {
						$("#btn-create-confirm").prop("disabled", true);
					}
				}
				// hàm xử lý bấm nút cancel ở modal create
				function onBtnCreateCancelClick() {
					$("create-form .form-control").val("");
					$("#create-modal").modal("hide");
				}
				// hàm xử lý sự kiện ấn nút chi tiết
				function onBtnDetailClick(paramButton) {
					var vRowData = getRowDataFromButton(paramButton);
					$("#detail-modal").modal("show");
					for (const [key, value] of Object.entries(vRowData)) {
						$("#detail-" + key).val(value)
					}
				}
				// hàm xử lý sự kiện ấn nút xoá
				function onBtnDeleteClick(paramButton) {
					// truy xuất cột cùng hàng với nút ấn
					var vRowData = getRowDataFromButton(paramButton);
					// lưu vào biến toàn cục để xử lý
					gOrderToDeleteId = vRowData.id;
					// hiển thị modal xoá order
					$("#delete-modal").modal("show");
				}
				// hàm xử lý sự kiện ấn nút confirm
				function onBtnConfirmUpdateOrderClick() {
					// thu thập dữ liệu
					var vOrderData = {
						id: $("#detail-id").val(),
						trangThai: $("#detail-trangThai").val(),
					};
					// request put order
					updateOrder(vOrderData);
				}
				// hàm xử lý sự kiện ấn nút confirm tạo order
				function onBtnCreateConfirmClick () {
					// thu thập dữ liệu
					var vOrderData = {};
					getOrderData(vOrderData);
					// kiểm tra dữ liệu
					// request put order
					createOrder(vOrderData);
				}
				// hàm xử lý sự kiện thay đổi select kích cỡ
				function onSelectSizeChange() {
					var vSizeDetail = {
						"" :  {},
						"S" : {
							duongKinh: "20",
							suon: "2",
							salad: "200",
							soLuongNuoc: "2",
							thanhTien: "150000"
						},
						"M" : {
							duongKinh: "25",
							suon: "4",
							salad: "300",
							soLuongNuoc: "3",
							thanhTien: "200000"
						},
						"L" : {
							duongKinh: "30",
							suon: "8",
							salad: "500",
							soLuongNuoc: "4",
							thanhTien: "250000"
						},
					}
					var vSize = $("#create-kichCo").val();
					$("#create-duongKinh").val(vSizeDetail[vSize].duongKinh);
					$("#create-suon").val(vSizeDetail[vSize].suon);
					$("#create-salad").val(vSizeDetail[vSize].salad);
					$("#create-soLuongNuoc").val(vSizeDetail[vSize].soLuongNuoc);
					$("#create-thanhTien").val(vSizeDetail[vSize].thanhTien);
					
				}
				/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
				// hàm thu thập dữ liệu để lọc
				function getFilterFormData(paramFilterFormObj) {
					paramFilterFormObj.trangThai = $("#select-status").val();
					paramFilterFormObj.loaiPizza = $("#select-pizza").val();
				}
				// hàm thực hiện lọc và hiển thị lên table
				function filterOrders(paramFilterFormObj) {
					// thực hiện việc lọc
					var ordersWithMatchingStatus = gOrders.filter(function(order) {
						var thisOrderStatus = order.trangThai;
						if (thisOrderStatus == null ){
							return false
						}
						return (thisOrderStatus.toLowerCase().includes(paramFilterFormObj.trangThai));
					});
					var ordersWithMatchingPizza = ordersWithMatchingStatus.filter(function(order) {
						let thisOrderPizza = order.loaiPizza;
						if (thisOrderPizza == null ){
							return false
						}
						return (thisOrderPizza.toLowerCase().includes(paramFilterFormObj.loaiPizza));
					});
					// load dữ liệu trả về lên table
					loadOrdersToTable(ordersWithMatchingPizza);
				}
				// hàm test email valid
				function isEmailValid(paramInput) {
					let validEmail = /[a-z0-9!#$%&'*+\/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+\/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?/i;
					return validEmail.test(paramInput);
				}
				// hàm get tất cả order lưu vào tham số toàn cục
				function loadAllOrdersToTable() {
					const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
					$.ajax({
						url: vBASE_URL,
						type: "GET",
						dataType: "json",
						success: function(allOrders) {
							gOrders = allOrders;
							console.log(allOrders);
							loadOrdersToTable(allOrders);
						}
					})
				}
				// hàm lấy dữ liệu của row của nút được ấn
				function getRowDataFromButton(paramButton) {
					var vThisRow = paramButton.closest("tr");
					var vRowData = gOrderTable.row(vThisRow).data();
					return vRowData;
				}
				// hàm load orders ở tham số vào table
				function loadOrdersToTable(paramOrders) {
					gOrderTable.clear()
					gOrderTable.rows.add(paramOrders);
					gOrderTable.draw(false);
				} 
				// hàm thu thập dữ liệu để create order
				function getOrderData(paramOrder){
					var orderDetails = $("#create-form").find(".form-control");
					orderDetails.each(function() {
						paramOrder[$(this).prop("id").slice(7)] = $(this).val();
					}
					)
				}
				// hàm yêu cầu server tạo order
				function createOrder(paramOrder) {
					const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
					$.ajax({
						url: vBASE_URL,
						type: "POST",
						dataType: "json",
						data: JSON.stringify(paramOrder),
						contentType: "application/json;charset=UTF-8",
						success: function() {
							$(document).Toasts('create', {
								class: 'bg-success',
								title: 'Tạo order mới thành công',
								autohide: true,
								delay: 1500
							})
							// hiển thị
							$("#create-modal").modal("hide");
							loadAllOrdersToTable();
						}
					})
				}
				// hàm yêu cầu server update order
				function updateOrder(paramOrder) {
					const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
					$.ajax({
						url: vBASE_URL + "/" + paramOrder.id,
						type: "PUT",
						dataType: "json",
						data: JSON.stringify(paramOrder),
						contentType: "application/json;charset=UTF-8",
						success: function() {
							$(document).Toasts('create', {
								class: 'bg-success',
								title: 'Update order thành công',
								autohide: true,
								delay: 1500
							})
							// hiển thị
							$("#detail-modal").modal("hide");
							loadAllOrdersToTable();
						}
					})
				}
				function deleteOrder(paramOrderId) {
					const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
					$.ajax({
						url: vBASE_URL + "/" + paramOrderId,
						type: "DELETE",
						success: function() {
							$(document).Toasts('create', {
								class: 'bg-success',
								title: 'Delete order thành công',
								autohide: true,
								delay: 1500
							})
							// hiển thị
							$("#delete-modal").modal("hide");
							loadAllOrdersToTable();
						}
					})
				}
				// hàm điền các đồ uống vào ô select đồ uống
				function loadDrinksToDrinkSelect() {
					// gọi api GET dữ liệu các đồ uống
					$.ajax({
						url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
						dataType: "json",
						type: "GET",
						success: function(allDrinks) {
							// nếu thành công thì nhận được một array gồm các object đồ uống ở object phản hồi
							// dùng vòng lặp hiển thị các đồ uống vào trong select đồ uống
							allDrinks.forEach(drink => {
								$("<option>", {
									val: drink.maNuocUong,
									text: drink.tenNuocUong
								})
								.appendTo($("#create-idLoaiNuocUong"));
							});
						}
					})
				}
			</script>
		</body>
		</html>
